
QGIS Application - Bug report #7739

Main fields of joined table restored from project file are not editable

2013-04-30 02:14 AM - Minoru Akagi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16645

Description

steps to reproduce:

1. load a vector layer and a table

2. join them

3. save the project and then open the project

4. select the vector layer and go into edit mode

5. click one of the features with identify tool

6. open feature form

-> main fields (=not joined fields) in the attribute form are grayed out

The written qgs file has edittype tags with editable=0 as the follows.

<edittypes>

<edittype editable="0" type="0" name="id"/>

<edittype editable="0" type="0" name="name"/>

</edittypes>

On the other hand, the joined fields are editable despite the fact that they are not targets for editing.

Associated revisions

Revision d2b2bb18 - 2013-07-03 03:16 PM - Matthias Kuhn

fix editable attribute of joined fields (fix #7739)

Based on pull request 576 by minorua

History

#1 - 2013-04-30 04:43 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Category set to Vectors

this does not happen on qgis 1.8, so it is a regression.

#2 - 2013-05-04 09:13 PM - Minoru Akagi

pull request: https://github.com/qgis/Quantum-GIS/pull/576
#3 - 2013-07-03 06:17 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"d2b2bb18699c49a7eddfdd7644933e3e82cd42ea".
